import { OnChanges, EventEmitter } from '@angular/core';
export interface CircleProgressOptionsInterface {
    class?: string;
    backgroundColor?: string;
    backgroundOpacity?: number;
    backgroundStroke?: string;
    backgroundStrokeWidth?: number;
    backgroundPadding?: number;
    percent?: number;
    radius?: number;
    space?: number;
    toFixed?: number;
    maxPercent?: number;
    renderOnClick?: boolean;
    units?: string;
    unitsFontSize?: string;
    unitsColor?: string;
    outerStrokeWidth?: number;
    outerStrokeColor?: string;
    outerStrokeLinecap?: string;
    innerStrokeColor?: string;
    innerStrokeWidth?: number;
    titleFormat?: Function;
    titleColor?: string;
    titleFontSize?: string;
    subtitleFormat?: Function;
    title?: string;
    subtitle?: string;
    subtitleColor?: string;
    subtitleFontSize?: string;
    animation?: boolean;
    animateTitle?: boolean;
    animateSubtitle?: boolean;
    animationDuration?: number;
    showTitle?: boolean;
    showSubtitle?: boolean;
    showUnits?: boolean;
    showBackground?: boolean;
    showInnerStroke?: boolean;
}
export declare class CircleProgressOptions implements CircleProgressOptionsInterface {
    class: string;
    backgroundColor: string;
    backgroundOpacity: number;
    backgroundStroke: string;
    backgroundStrokeWidth: number;
    backgroundPadding: number;
    percent: number;
    radius: number;
    space: number;
    toFixed: number;
    maxPercent: number;
    renderOnClick: boolean;
    units: string;
    unitsFontSize: string;
    unitsColor: string;
    outerStrokeWidth: number;
    outerStrokeColor: string;
    outerStrokeLinecap: string;
    innerStrokeColor: string;
    innerStrokeWidth: number;
    titleFormat: any;
    titleColor: string;
    titleFontSize: string;
    subtitleFormat: any;
    title: string;
    subtitle: string;
    subtitleColor: string;
    subtitleFontSize: string;
    animation: boolean;
    animateTitle: boolean;
    animateSubtitle: boolean;
    animationDuration: number;
    showTitle: boolean;
    showSubtitle: boolean;
    showUnits: boolean;
    showBackground: boolean;
    showInnerStroke: boolean;
}
export declare class CircleProgressComponent implements OnChanges {
    onClick: EventEmitter<any>;
    class: string;
    backgroundColor: string;
    backgroundOpacity: number;
    backgroundStroke: string;
    backgroundStrokeWidth: number;
    backgroundPadding: number;
    radius: number;
    space: number;
    percent: number;
    toFixed: number;
    maxPercent: number;
    renderOnClick: boolean;
    units: string;
    unitsFontSize: string;
    unitsColor: string;
    outerStrokeWidth: number;
    outerStrokeColor: string;
    outerStrokeLinecap: string;
    innerStrokeColor: string;
    innerStrokeWidth: string | number;
    titleFormat: Function;
    titleColor: string;
    titleFontSize: string;
    subtitleFormat: Function;
    title: string;
    subtitle: string;
    subtitleColor: string;
    subtitleFontSize: string;
    animation: boolean;
    animateTitle: boolean;
    animateSubtitle: boolean;
    animationDuration: number;
    showTitle: boolean;
    showSubtitle: boolean;
    showUnits: boolean;
    showBackground: boolean;
    showInnerStroke: boolean;
    templateOptions: CircleProgressOptions;
    svg: any;
    options: CircleProgressOptions;
    defaultOptions: CircleProgressOptions;
    private _timerSubscription;
    isDrawing(): boolean;
    constructor(defaultOptions: CircleProgressOptions);
    ngOnChanges(changes: any): void;
    private applyOptions;
    render: () => void;
    polarToCartesian: (centerX: any, centerY: any, radius: any, angleInDegrees: any) => {
        x: any;
        y: number;
    };
    draw: (percent: number) => void;
    private min;
    private max;
    getAnimationParameters: () => {
        times: any;
        step: any;
        interval: any;
    };
    animate: () => void;
    emitClickEvent: (event: any) => void;
}
